/** \file cbdll.c
  * \brief Contains a dummy DllMain function for resource DLLs.
  */

#include <windows.h>

/** \brief The main DLL entry point.
  *
  * Does nothing but returning TRUE, what enables further DLL processing.
  * \param hi   ignored
  * \param mode ignored
  * \param lp   ignored
  * \return always true
  */
BOOL WINAPI DllMain(HINSTANCE hi, DWORD mode, LPVOID lp) {
  return TRUE;
} /* DllMain() */

#ifdef OWN_STARTUP
/** \brief Own startup function due to missing oldnames.lib in the pocket pc
  *        implementation of MS Visual Studio 8 (2005)
  *
  * Calls DllMain with the given parameters.
  * \param hi   passed to DllMain().
  * \param mode passed to DllMain().
  * \param lp   passed to DllMain().
  * \return result of DllMain().
  */
BOOL WINAPI _DllMainCRTStartup(HINSTANCE hi, DWORD mode, LPVOID lp) {
  return TRUE;
} /* DllMainCRTStartup() */
#endif
